Apache C++ Standard Library Reference Guide

## <streambuf>

Library: Input/output

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<streambuf>` is part of the Input/output library of the C++ Standard Library. It defines the class template basic_streambuf, and the types streambuf and wstreambuf as aliases for specializations of the class template on `char` and `wchar_t`.

### Synopsis

    namespace std {
      template <class charT, class traits = char_traits<charT> >
      class basic_streambuf;
      typedef basic_streambuf<char> streambuf;
      typedef basic_streambuf<wchar_t> wstreambuf;
    }

### See Also

basic_streambuf

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 27.5